:root {
  --primary-background: rgb(58, 53, 139);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  user-select: none;
}

body {
  background-color: var(--primary-background);
  color: rgb(194, 223, 249);
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}

/* Когда нечего будет делать можно преречислить что не выделять
.menu-btn,
.btnAppend,
.menu-item {
  user-select: none;
}
  */
.sector-shedules {
  display: flex;
  flex-direction: column;
}

.sector-shedules.hidden {
  display: none;
}

.top-header {
  display: flex;
  width: 100%;
  align-items: center;
  padding: 8px;
  position: sticky;
  top: 0;
  z-index: 100;
  background-color: var(--primary-background);
}

.menu-btn {
  font-size: x-large;
  cursor: pointer;
  user-select: none;
  border: 3px solid rgba(222, 184, 135, 0.711);
  border-radius: 8px;
  box-shadow: 2px 2px 5px rgb(23, 1, 69);
  padding: 8px;
  min-height: 44px;
}

.top-title {
  flex: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  /*white-space: nowrap;*/
  font-size: x-large;
  margin: 8px;
}

.version {
  padding: 8px;
}

.n-version {
  width: 100%;
  text-align: end;
}

.overlay {
  position: fixed;
  inset: 0;

  background: rgba(0, 0, 0, .4);

  opacity: 0;
  pointer-events: none;

  transition: opacity .25s;
}

.overlay.open {
  opacity: 1;
  pointer-events: auto;
}

.list-medications {
  list-style: none;
  /* убирает маркеры */
  padding-left: 0;
  /* убирает стандартный отступ слева (опционально) */
}

.string-open-journale {
  text-align: right;
  color: #01e1ff;
  font-style: italic;
  text-decoration: underline;
  cursor: pointer;
}

.journale {
  display: flex;
  flex-direction: column;
  gap: 8px;
  justify-items: flex-end;
  border: 1px solid;
  padding: 8px;
}

.journale.hidden {
  display: none
}

.title-journale {
  font-style: oblique;
  font-size: medium;
  text-align: right;
  text-decoration: underline;
  color: #01e1ff;
  cursor: pointer;
}

.item-journale {
  display: flex;
  gap: 12px;
  justify-items: end;
  border: 1px solid;
  border-radius: 8px;
  padding: 8px;

}

.menu {
  margin-left: 8px;
  padding: 16px;
  width: max-content;
}

.menu-list {
  list-style: none;
}

.menu-item {
  margin: 16px;
  font-size: x-large;
  border: 1px solid blanchedalmond;
  border-radius: 8px;
  box-shadow: 1px 1px 2px rgb(23, 1, 69);
  padding: 16px;
  cursor: pointer;
}

.sidebar {
  position: fixed;

  display: flex;
  flex-direction: column;

  width: min(280px, 85vw);
  height: 90dvh;

  border: 2px solid white;
  border-radius: 8px;
  box-shadow: 3px 3px 5px rgb(23, 1, 69);

  transform: translateX(-100%);
  transition: transform 0.25s ease;

  z-index: 1000;
}

.sidebar.open {
  transform: translateX(0);
  background-color: var(--primary-background);
}

.sidebar-footer {
  display: flex;
  margin-top: auto;
  align-items: center;
  gap: 10px;
  /*padding: 16px 4px;*/
  margin-bottom: 18px;
}

.settings-button {
  font-size: 26px;
  cursor: pointer;
  opacity: 0.8;
  transition: opacity .2s, transform .2s;
  margin: 8px;
}

.settings-button:hover {
  opacity: 1;
  transform: scale(1.1);
}

.label-user-settings {
  font-size: 18px;
}

.title-sector {
  display: flex;
  font-size: large;
}

.string-target {
  color: rgb(153, 219, 253);
}

.target-time {
  color: white;
  font-size: larger;
  font-weight: bold;
  margin-left: 8px;

}

.digital-clock {
  font-size: 36px;
  letter-spacing: unset;
  color: #00ffcc;
}

.colon {
  animation: blink 2s linear infinite;
}

@keyframes blink {

  0%,
  50% {
    opacity: 1;
  }

  62.5%,
  75% {
    opacity: 0.2;
  }

  100% {
    opacity: 1;
  }
}

#target-now {
  color: rgb(43, 255, 0);
}

#target-next {
  color: aqua;
}

#target-later {
  color: aquamarine;
}

.time-med {
  color: black;
  font-size: large;
}

.page {
  display: none;
}

.page.active {
  display: block;
  width: 100%;
  padding: 8px;
}

.append-graphic {
  /* border: 2px solid; */
  padding-left: 8px;
  padding-right: 8px;
}

.item-graphic {

  display: flex;
  border: 2px solid;
  border-radius: 8px;

  margin-top: 8px;
  margin-bottom: 8px;
  justify-content: space-between;

  padding: 8px;
}

.preparat {
  border: 2px solid rgb(62, 1, 162);
  border-radius: 8px;
  margin-right: 8px;
  padding: 4px;
  background-color: aliceblue;
  box-shadow: 1px 1px 2px rgb(23, 1, 69);
  width: 100%;
}

.medication {
  background-color: aliceblue;
  text-align: center;
  font-size: larger;
  font-weight: bold;
  color: rgb(12, 1, 17);
  cursor: pointer;
  overflow-wrap: break-word;
}

.dosage {
  border: 0px 1px 0px 0px solid;
  border-radius: 0px 0px 6px 6px;
  box-shadow: 1px 1px 2px rgb(23, 1, 69);
  text-align: center;
  background-color: rgb(39, 1, 177);
  color: white;
  font-family: 'Times New Roman', Times, serif;
  font-size: large;
}

.btnAppend {
  border: 2px solid wheat;
  border-radius: 8px;
  padding: 8px;
  cursor: pointer;
  min-height: 44px;
  background-color: #007a37;
}

.graph-editor {
  color: black;
  border: 2px solid;
}